#pragma once
#include "render/asset/model.h"
namespace engineapi {
	class StaticMesh {
	protected:
		Model& mPtr;
		Vector3 mCenter;
		float	  mRadius;

	public:
		StaticMesh(Model& model);

		void LoadMesh();
		Model& Ptr() {
			return mPtr;
		}
	};
}